std::uses_allocator< _Tp, _Alloc > Struct Template Reference
Utilities » Memory » Allocators
Inheritance diagram for std::uses_allocator< _Tp, _Alloc >:
[legend]

## Public Types

typedef integral_constant< _Tp, __v > | type
typedef _Tp | value_type

## Public Member Functions

constexpr | operator value_type () const noexcept
constexpr value_type | operator() () const noexcept

## Static Public Attributes

static constexpr _Tp | value

## Detailed Description

### template<typename _Tp, typename _Alloc>
struct std::uses_allocator< _Tp, _Alloc >

Declare uses_allocator so it can be specialized in <queue> etc.

[allocator.uses.trait]

Definition at line 67 of file uses_allocator.h.

The documentation for this struct was generated from the following file:

- memoryfwd.h